Page MenuHomePhabricator

elm_code_widget: when the position is updated, set new geom to cursor
ClosedPublic

Authored by bu5hm4n on Sep 27 2019, 7:40 AM.

Details

Summary

in order to do that, we need to ensure that the internal box is
calculated, otherwise the position is still not updated correctly.
This fixes wrong cursor positions in edi.

fixes T8214

Depends on D10224

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Sep 27 2019, 7:40 AM
bu5hm4n requested review of this revision.Sep 27 2019, 7:40 AM
netstar added a comment.EditedSep 28 2019, 8:26 AM

Hey Marcel.

Based on your work I made a combined diff with some other fixes for the widget also.

https://phab.enlightenment.org/D10239

bu5hm4n updated this revision to Diff 25781.Sep 28 2019, 9:14 AM
bu5hm4n edited the summary of this revision. (Show Details)

only update when not editable

This is much better. Tested with your recently pushed scroller fixes.

@netstar Your "much better" should be considered an approval?

stefan_schmidt accepted this revision.Sep 30 2019, 1:20 AM
This revision is now accepted and ready to land.Sep 30 2019, 1:20 AM
Closed by commit rEFL8de8f059c94f: elm_code_widget: when the position is updated, set new geom to cursor (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by stefan_schmidt). · Explain WhySep 30 2019, 1:47 AM
This revision was automatically updated to reflect the committed changes.